---
stages:
  - setup
  - auto ci

cache:
  paths:
    - .cache/pip/

lint:
  stage: setup
  image:
    name: cytopia/ansible-lint:latest
    entrypoint: ["/bin/sh", "-c"]
  before_script:
    - pip3 install yamllint
  script:
    - yamllint ./ -c cicd/scripts/.yamllint-ansible
    - ansible-lint -v

generate-auto-ci-pipeline:
  stage: setup
  image: python:3.6
  before_script:
    - pip3 install jinja2
  script:
    - python3 ./cicd/scripts/generate-auto-ci-pipeline.py
  artifacts:
    expire_in: 1 week
    untracked: true
  only:
    refs:
      - /^dev.*$/

start auto ci:
  stage: auto ci
  trigger:
    include:
      - artifact: auto-ci-pipeline.yml
        job: generate-auto-ci-pipeline
    strategy: depend
  only:
    refs:
      - /^dev.*$/
